Subject: RE: [rddp] rdmap-03 spec clarification

From: "Barry Reinhold\(home\)" <[email-masked]>
Date: Fri, 15 Apr 2005 10:33:40 -0400

>From the conformance testing perspective we send you non-zero values in bits
32-63 using the different RDMA operations specified and expect the DUT to
properly complete the RDMA request. I think this is your case 1. 

I didn't understand your case 2 - could you reword that case please?

draft-ietf-rddp-rdmap-03.txt, section 6.1:

"Bits 32-63; Invalidate STag. However, this field is only valid  for Send
with Invalidate and Send with Solicited Event and  Invalidate Messages (see
Figure 4 RDMA Usage of DDP Fields).

 For Send, Send with Solicited Event, RDMA Read Request, and  Terminate, the
Invalidate STag field MUST be set to zero on  transmit and ignored by the
receiver."

Could someone tell me if "ignored by the receiver" means 

1) If it is not zero the receiver MUST NOT generate an error

2) The receiver MUST CHECK that the STag is zero but in case it is 

   it does nothing with it.

thanks in advance,

-patricio kaplan

Barry Reinhold

[email-masked]

(603) 659-2569

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp

---

From: Patricio Kaplan <[email-masked]>
Date: Fri, 15 Apr 2005 10:30:31 -0700

On Fri, 2005-04-15 at 07:33, Barry Reinhold(home) wrote:
> From the conformance testing perspective we send you non-zero values
> in bits 32-63 using the different RDMA operations specified and expect
> the DUT to properly complete the RDMA request. I think this is your
> case 1. 
> 
> I didn’t understand your case 2 – could you reword that case please?
> 

My question has been answered. Thanks.

I was concerned that some conformance test would send a non-zero value
in the Invalidate STag field and expect the receiver to flag an error.

-patricio kaplan
> "Bits 32-63; Invalidate STag. However, this field is only valid  for
> Send with Invalidate and Send with Solicited Event and  Invalidate
> Messages (see Figure 4 RDMA Usage of DDP Fields).
> 
>  For Send, Send with Solicited Event, RDMA Read Request, and 
> Terminate, the Invalidate STag field MUST be set to zero on  transmit
> and ignored by the receiver."
> 
>  
> 
> ______________________________________________________________________